package com.kcim.service;

import com.kcim.vo.*;
import com.kcim.web.reponse.ComputeProfitCollectResponse;

import java.util.List;

public interface StandardReportService {

    /**
     * 科室直接成本表（医疗成本）
     * @param computeDate
     */
    List<DeptDirectMedicalCostVO> getDeptDirectMedicalCost(String computeDate);
    /**
     * 科室直接成本表（全成本）
     * @param computeDate 核算年月
     * @return 报表数据
     */
    List<DeptFullDirectCostVO> getDeptFullDirectCost(String computeDate);

    /**
     * 获取临床服务类科室全成本（医疗成本）
     * @param computeDate 核算年月
     * @return 报表数据
     */
    List<ClinicalDeptMedicalCostVO> getClinicalDeptMedicalCost(String computeDate);

    /**
     * 获取临床服务类科室全成本（全成本）
     * @param computeDate 核算年月
     * @return 报表数据
     */
    List<ClinicalDeptFullCostVO> getClinicalDeptFullCost(String computeDate);

    /**
     * 获取医院临床服务类科室全成本构成分析表数据
     * @param computeDate 核算年月
     * @return 报表数据
     */
    ComputeProfitCollectResponse getClinicalDeptFullCostAnalysis(String computeDate);

    /**
     * 获取医院科室成本分摊汇总表数据
     * @param computeDate 核算年月
     * @return 报表数据
     */
    List<HospitalDeptCostAllocationVO> getHospitalDeptCostAllocation(String computeDate) ;

    /**
     * 获取医院诊次成本构成表数据
     * @param computeDate 核算年月
     * @return 报表数据
     */
    List<HospitalVisitCostCompositionVO> getHospitalVisitCostComposition(String computeDate);

}
